[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GridWidth

Total width for all columns in the Grid including non-visible columns.

## Declaration

Source position: grids.pas line 1269

`protected property TCustomGrid.GridWidth : Integer read FGCache.GridWidth;`

## Description

GridWidth is a read-only Integer property which contains the calculated width for all of the columns in the grid control, including columns with the visible property set to False. Its value is provided using the cached values stored in GCache when row or column sizes are calculated for the control.

## See also

TCustomGrid.GridWidth |  | Total width for all columns in the Grid including non-visible columns.
TCustomGrid.GCache |  | Contains cached data about the visual layout and state for the grid control.
TCustomGrid.VisualChange |  | Updates the grid after changes to the visual properties in the control.